<?php

$session = $this->getSession();
$filter_html = new Yab_Filter_Html();
$pager = new Yab_Helper_Pager($interfaits, 'pager_interfait');

$interfaits = $pager->getStatement();

?>

<table class="table table-striped">
	<caption>Interfait</caption>
	<thead>
		<tr>
			<td><?php echo $pager->getSortLink('typeinterfait_id'); ?></td>
			<td><?php echo $pager->getSortLink('fai_id'); ?></td>
			<td><?php echo $pager->getSortLink('fai_id_1'); ?></td>
			<td><?php echo $pager->getSortLink('incertitude'); ?></td>
			<td><?php echo $pager->getSortLink('precisions'); ?></td>
			<td><?php echo $pager->getSortLink('id'); ?></td>
			<td colspan="2">#</td>
		</tr>
	</thead>
	<tbody>
	<?php foreach($interfaits as $interfait): ?>
		<tr>
			<td<?php echo $pager->getClass($interfaits); ?>><?php echo $interfait->get('typeinterfait_id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($interfaits); ?>><?php echo $interfait->get('fai_id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($interfaits); ?>><?php echo $interfait->get('fai_id_1', $filter_html); ?></td>
			<td<?php echo $pager->getClass($interfaits); ?>><?php echo $interfait->get('incertitude', $filter_html); ?></td>
			<td<?php echo $pager->getClass($interfaits); ?>><?php echo $interfait->get('precisions', $filter_html); ?></td>
			<td<?php echo $pager->getClass($interfaits); ?>><?php echo $interfait->get('id', $filter_html); ?></td>
			<td<?php echo $pager->getClass($interfaits); ?>><a href="<?php echo $this->getRequest('Interfait', 'edit', $interfait->getPrimary()); ?>">EDIT</a></td>
			<td<?php echo $pager->getClass($interfaits); ?>><a href="<?php echo $this->getRequest('Interfait', 'delete', $interfait->getPrimary()); ?>">DELETE</a></td>
		</tr>
	<?php endforeach; ?>
	</tbody>
	<tfoot>
		<tr>
			<td colspan="8"><?php echo $pager->getPagination(); ?></td>
		</tr>
		<tr>
			<td colspan="8">
				<a href="<?php echo $this->getRequest('Interfait', 'add'); ?>">ADD</a>
				<a href="<?php echo $this->getRequest('Index', 'index'); ?>">Go back to index</a>
			</td>
		</tr>
	</tfoot>
</table>